diff options
author | Sheldon Hearn <sheldonh@FreeBSD.org> | 2000-08-15 10:22:36 +0000 |
---|---|---|
committer | Sheldon Hearn <sheldonh@FreeBSD.org> | 2000-08-15 10:22:36 +0000 |
commit | 4e28d4de05080ad0b7b8856a3d4b645e47378d55 (patch) | |
tree | a7c667b9dd9e0be60fd47ff3bf6068ea94e1b149 /devel/linux_devtools-7 | |
parent | bd9d1979dda9036d0ce5451e12ac694a83fc8880 (diff) |
Do not rely on the linux(8) shell script. Instead, use an INSTALL
script so that the behaviour of a package installation matches
that of a port installation identically.
Note that, in the package case, we already have a valid run-time
linker hints file for Linux.
Notes
Notes:
svn path=/head/; revision=31658
Diffstat (limited to 'devel/linux_devtools-7')
-rw-r--r-- | devel/linux_devtools-7/Makefile | 13 | ||||
-rw-r--r-- | devel/linux_devtools-7/pkg-install | 17 |
2 files changed, 20 insertions, 10 deletions
diff --git a/devel/linux_devtools-7/Makefile b/devel/linux_devtools-7/Makefile index 05d0506c512e..ec843b794b92 100644 --- a/devel/linux_devtools-7/Makefile +++ b/devel/linux_devtools-7/Makefile @@ -91,17 +91,10 @@ NEEDLOADLINK= true do-patch: @${DO_NADA} +pre-install: + @${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL + do-install: - @if [ -z "`kldstat -v | ${GREP} -E 'linux(aout|elf)'`" ]; then \ - ${ECHO} 'Linux mode is not enabled.\ - Loading linux kernel module...' | fmt; \ - linux || { \ - ${ECHO} 'The linux kernel module could not be loaded.\ - Please manually load the module and retry.\ - See "man linux" for details.' | fmt; \ - ${FALSE}; \ - };\ - fi # # Setup a chroot'able environment # diff --git a/devel/linux_devtools-7/pkg-install b/devel/linux_devtools-7/pkg-install new file mode 100644 index 000000000000..957ee313fa57 --- /dev/null +++ b/devel/linux_devtools-7/pkg-install @@ -0,0 +1,17 @@ +#!/bin/sh +# an installation script for linux_devtools + +case "$2" in +PRE-INSTALL) + if [ -z "`kldstat -v | ${GREP} -E 'linux(aout|elf)'`" ]; then + echo 'Linux mode is not enabled.' + echo 'Loading linux kernel module now...' + if ! kldload linux; then + echo 'The linux kernel module could not be loaded.' + echo 'Please enable linux mode manually and retry.' + exit 1 + fi + ;; +esac + +exit 0 |